import request from '@/utils/request'

// 查询企微获客链接管理列表
export function getQwUserAll() {
  return request({
    url: '/qw/user/getQwUserAll',
    method: 'get'
  })
}

//查询企业信息
export function  getQwUserInfo(query) {
  return request({
    url: '/qw/user/getQwUserInfo',
    method: 'get',
    params: query
  })
}

// 根据条件查询企微用户列表
export function getQwList(params) {
  return request({
    url: '/qw/user/qwCompanyList',
    method: 'post',
    data: params
  })
}

// 根据条件动态查询企微用户列表
export function selectQwUserListByCondition(data) {
  return request({
    url: '/qw/user/selectQwUserListByCondition',
    method: 'post',
    data: data
  })
}
